//---------------------------------------------------------------------------

#ifndef dl_advancedH
#define dl_advancedH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TFormAdvanced : public TForm
{
__published:	// IDE-managed Components
	TLabel *lblMonitorPort;
	TEdit *efINIFile;
	TButton *btnINIFile;
	TButton *OKButton;
	TButton *CancelButton;
	TLabel *lblINIFile;
	TEdit *efMonitorPort;
	TOpenDialog *dlgOpen;
   TLabel *lblMonitorHTTPPort;
   TEdit *efMonitorHTTPPort;
	void __fastcall OKButtonClick(TObject *Sender);
	void __fastcall CancelButtonClick(TObject *Sender);
	void __fastcall btnINIFileClick(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);

private:	// User declarations
	void __fastcall ReadRegistry(void);
	AnsiString originalMonitorPort;
	AnsiString originalMonitorHTTPPort;
   AnsiString originalINIFile;

public:		// User declarations
	__fastcall TFormAdvanced(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormAdvanced *FormAdvanced;
//---------------------------------------------------------------------------
#endif
