#ifndef STEP_AUDIOSPEAK_H
#define STEP_AUDIOSPEAK_H

#include "step.h"
#include "..\Languages\LanguageModule.h"

class StepAudioSpeak : public Step
{
   public:

      StepAudioSpeak(STEPREC& stepRecord);
      virtual ~StepAudioSpeak(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      bool bInt;                          // u2  : Flag: Is play interruptable?
      LanguageModule::SAY_FORMAT sayFormat;  // u1  : Type of data to say
      string text;                      // s2  : Value to say
};

#endif
