/* -------------------------------------------------------------------------
   ------------------------------------------------------------------------- */
#ifndef ESC_EXCEPT_H
#define ESC_EXCEPT_H

#include <winsock2.h>
#include <windows.h>

#if defined (__DLL__)
#define EXCEPTAPI __declspec(dllexport)
#else
#define EXCEPTAPI __declspec(dllimport)
#endif

typedef struct
{
   EXCEPTION_POINTERS *xp;
   bool                bChildException;
   void               *dwLocation;
   const char         *pszLocation;
   const char         *pszExceptName;
   bool                bAV;
   DWORD               dwAVLocation;
   bool                bAVWrite;
} ESC_EXCEPT_INFO;

EXCEPTAPI extern ESC_EXCEPT_INFO g_exceptInfo;

EXCEPTAPI int ESCExceptionLocation (ESC_EXCEPT_INFO *info, const char *pszFnNm);
EXCEPTAPI int ESCExceptionFilter (ESC_EXCEPT_INFO *info);

#undef EXCEPTAPI

#endif
