// csgui.h : API header file for the CSGUI DLL
//
#ifndef CSGUI_INCLUDED
#define CSGUI_INCLUDED

// Bitmap flags for the csConfigDialog argument
#define		CSGUI_AUTOSAVE			0x1000000
#define		CSGUI_BDINFO_PAGE		0x0000001
#define		CSGUI_CALLPARMS_PAGE	0x0000002
#define		CSGUI_DISCTONES_PAGES	0x0000004
#define		CSGUI_GENTONE_PAGE		0x0000008
#define		CSGUI_PBXSTRINGS_PAGE	0x0000010
#define		CSGUI_ANALOG_PAGES		0x000001f
#define		CSGUI_DTI_PROTOCOLS_PAGE	0x0000020

#ifdef __cplusplus 
#define EXTC extern "C"
extern "C" {
#else 
#define EXTC 
#endif

#ifdef  CSGUI_HOME
#define CSGUI __declspec(dllexport)
#else
#define CSGUI __declspec(dllimport)
#endif


// API functions
EXTC CSGUI BOOL csConfigDialog(HWND, WORD);
EXTC CSGUI DWORD csSaveConfigData();
EXTC CSGUI BOOL csAddPbx(LPVOID pPbxStrings, DWORD dwSize, BOOL bSetCurrent);
EXTC CSGUI BOOL csGetPbxStrings(LPVOID pPbxStrings, DWORD *pdwSize);

#ifdef __cplusplus 
}
#endif

#endif // CSGUI_INCLUDED
