// date		version name	description
// 042399	4.3.1	JZ		Add PBX features to support D42-NE2
// 040799	4.3.3	JZ		replace directpickup with pickup

#ifndef PBXTYPES_INCLUDED 
#define PBXTYPES_INCLUDED	1

#define PBXTYPE_HASDEFAULT	0x10000
#define PBXTYPE_FRESHALLOC	0x20000		// really, this doesn't belong here

	typedef struct _pbxstrings {   
		DWORD dwType;
		char szName[32];
		char szForward[16];
		char szUnForward[16];
		char szPark[16];
		char szUnpark[16];
		char szPickup[16];
		char szComplConf[16];
		char szSecure[16];
		char szHold[16];
		char szSwapHold[16];
		char szDropDialConsult[16];
		char szDropProceedingConsult[16];
		char szDropBusyConsult[16];
		char szDropConnectedConsult[16];
		char szDropDisconnectedConsult[16];
		char szConfFreqs[16];
		char szGroupPickup[16];	
		char szTransfer[16];	
		char szConference[16];	
	} PBXSTRINGS, *PPBXSTRINGS;
    
	#ifdef WIN32
	typedef struct _wpbxstrings {   
		DWORD dwType;
		WCHAR szName[32];
		WCHAR szForward[16];
		WCHAR szUnForward[16];
		WCHAR szPark[16];
		WCHAR szUnpark[16];
		WCHAR szPickup[16];	// JZ
		WCHAR szGroupPickup[16];	// JZ
		WCHAR szComplConf[16];
		WCHAR szSecure[16];
		WCHAR szHold[16];
		WCHAR szSwapHold[16];
		WCHAR szTransfer[16];		// JZ
		WCHAR szConference[16];		// JZ
		WCHAR szDropDialConsult[16];
		WCHAR szDropProceedingConsult[16];
		WCHAR szDropBusyConsult[16];
		WCHAR szDropConnectedConsult[16];
		WCHAR szDropDisconnectedConsult[16];
		WCHAR szConfFreqs[16];
	} WPBXSTRINGS, *PWPBXSTRINGS;
    #endif            
                
	enum _pbxtypes {
		PBXTYPE_UNKNOWN, PBXTYPE_CENTREX, PBXTYPE_PANASONIC6160, PBXTYPE_MAX};
#endif
