#include "..\BoardDLLs\brd_generic.h"
#include "step_ReorderToneDetectionOff.h"

ReorderToneDetectionOff::ReorderToneDetectionOff(STEPREC& stepRecord) : Step(stepRecord)
{
}

const char* ReorderToneDetectionOff::GetStepName(void) const
{
	return("Reorder Tone Detection Off");
}

IV_STATUS ReorderToneDetectionOff::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

   return(pInfo->ivBoard->DisableReorderToneDetection());
}
