#ifndef STEP_SETLANGUAGE_H
#define STEP_SETLANGUAGE_H

#include <string>
using std::string;

#include "step.h"

class StepSetLanguage : public Step
{
   public:
   
      StepSetLanguage(STEPREC& stepRecord);
      virtual ~StepSetLanguage(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

      void SetCustomModule(bool custom);
      IV_STATUS SetModule(const char* module);
      IV_STATUS SetPromptsDirectory(const char* directory);

   protected:

      bool customModule;
      string languageModule;
      string promptsDirectory;
};

#endif