#ifndef STEP_CONFOPEN_H
#define STEP_CONFOPEN_H

#include "step.h"

class StepConfOpen : public Step
{
   public:

      StepConfOpen(STEPREC& stepRecord);
      virtual ~StepConfOpen(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string handleVar;
      string maxSeats;
      bool  bEchoCancel;
      bool  bDTMFClamping;
      bool  bToneClamping;
      bool  bCoaching;
};

#endif
