#include <stdlib.h>
#include <string.h>
#include "..\BoardDLLs\brd_generic.h"
#include "step_pickup.h"

StepPickup::StepPickup(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepPickup::~StepPickup(void)
{
}

const char* StepPickup::GetStepName(void) const
{
	return("Pick Up");
}

IV_STATUS StepPickup::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

	if(PortRequired(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FATAL);
   }

  	return(pInfo->ivBoard->Pickup());
}
