#include "step_reloadoff.h"

StepReloadOff::StepReloadOff(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepReloadOff::~StepReloadOff(void)
{
}

const char* StepReloadOff::GetStepName(void) const
{
	return("Reload Off");
}

IV_STATUS StepReloadOff::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

   pInfo->safeToShutdown = false;

   return IVR_SUCCESS;
}
