#include "step_unblockcalls.h"
#include "..\BoardDLLs\brd_generic.h"

StepUnblockCalls::StepUnblockCalls(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepUnblockCalls::~StepUnblockCalls(void)
{
}

const char* StepUnblockCalls::GetStepName(void) const
{
	return("Unblock Port");
}

IV_STATUS StepUnblockCalls::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

	if(PortRequired(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FATAL);
   }

   return(pInfo->ivBoard->UnblockCalls());
}
