#ifndef STEP_VARDATEINFO_H
#define STEP_VARDATEINFO_H

#include "step.h"
#include "iv_math2.h"

class StepVarDateInfo : public Step
{
   public:

      StepVarDateInfo(STEPREC& stepRecord);
      virtual ~StepVarDateInfo(void);

      const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string varA;
      string varB;
      DATEINFO_FN iFn;
      bool bUpperCase;
};

#endif
