#ifndef TFSERVER_H
#define TFSERVER_H

#include "ivr_defs.h"	// TELEFLOW_REG_KEY
#include "communication_hub.h"

// Registry key where TeleFlow Configuration settings are stored
// #define TFSERVER_REG_KEY  TELEFLOW_REG_KEY "\\TeleFlow Server"
// JSH 2003-07-21: this value now in tf_registy.h so that it can be included w/out including THIS file
#include "tf_registry.h"


#define MUTEX_GUID     "{06ED484F-0281-4d9b-B3BF-AAD1C1591CE8}"
#define TFS_NO_REGISTRY_ENTRIES            1001
#define TFS_BOARD_DLL_PROBLEM              1002
#define TFS_LOAD_APP_LIST_FAILED           1003
#define TFS_WAIT_FAILED                    1004
#define TFS_WINSOCK_INIT_FAILED            1005

void NTServiceMain (int argc, char *argv[]);

#endif
