#include "SIPTransaction.h"

SIPTransaction::SIPTransaction(unsigned short port, bool persistant) : InternetMessageUDPTransaction(port, persistant)
{
   request = new SIPRequest;
   response = new SIPResponse;
}

SIPTransaction::SIPTransaction(ACE_HANDLE handle) : InternetMessageUDPTransaction(handle)
{
   request = new SIPRequest;
   response = new SIPResponse;
}

SIPTransaction::~SIPTransaction(void)
{
   delete request;
   delete response;
}

SIPRequest* SIPTransaction::Request(void)
{
   return((SIPRequest*) request);
}

SIPResponse* SIPTransaction::Response(void)
{
   return((SIPResponse*) response);
}
